package com.gic.haoban.manage.web.vo.chat;

import com.alibaba.fastjson.JSONObject;
import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @author shangfeng
 * @date 2024-06-20 16:03:57
 */
public class GroupChatChatDetailVO extends StoreGroupCommonVO implements Serializable {

    private static final long serialVersionUID = -8013607702711027033L;

    /**
     * 会员id
     */
    private String memberId;

    /**
     *  会员昵称
     */
    private String memberNick;

    /**
     *
     */
    private String memberName;

    /**
     *
     */
    private String memberPhone;


    /**
     * 群id
     */
    private String groupChatId;

    /**
     * 群名称
     */
    private String groupChatName;

    /**
     *  群主id
     */
    private String staffId;


    /**
     *  群主code
     */
    private String staffCode;


    /**
     *  群主名称
     */
    private String staffName;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 会话发送人身份
     */
    private String userType;

    /**
     * 会话内容
     */
    private String content;

    /**
     * 会话时间
     */
    private String sendTime;

    /**
     *  会话类型
     */
    private String msgType;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getGroupChatId() {
        return groupChatId;
    }

    public void setGroupChatId(String groupChatId) {
        this.groupChatId = groupChatId;
    }

    public String getGroupChatName() {
        return groupChatName;
    }

    public void setGroupChatName(String groupChatName) {
        this.groupChatName = groupChatName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffCode() {
        return staffCode;
    }

    public void setStaffCode(String staffCode) {
        this.staffCode = staffCode;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }
}
